DummyLocal (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.kernel

## Class DummyLocal

- java.lang.Object
- - hlt.language.design.kernel.Expression
  - - hlt.language.design.kernel.Local
    - - hlt.language.design.kernel.DummyLocal

- All Implemented Interfaces:
    Locatable

      public class DummyLocal
      extends Local

  This is a Local that does not actually belong within its scope and need never be sort-sanitized nor compiled. It is needed and used only for processing slicing expressions in a Homomorphism.

- - ### Field Summary

    - ### Fields inherited from class hlt.language.design.kernel.Expression

      `VOID_ASSIGNMENTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyLocal(Parameter parameter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compile(Compiler compiler)` A DummyLocal never gets to invoke this.
    `Expression` | `sanitizeNames(ParameterStack parameters)` No-op...
    `void` | `sanitizeSorts(Enclosure enclosure)` No-op...
    `void` | `setCheckedType()` No-op...
    `Expression` | `shiftOffsets(int intShift, int realShift, int objectShift, int intDepth, int realDepth, int objectDepth)` No-op...

    - ### Methods inherited from class hlt.language.design.kernel.Local

      `checkedType, containsFreeName, copy, incOffset, name, offset, parameter, setCheckedType, setOffset, setType, toString, type, typeCheck, typedCopy, typeRef`

    - ### Methods inherited from class hlt.language.design.kernel.Expression

      `addType, addTypes, boxSort, enclosingScope, extent, getEnd, getStart, isConstant, isEquality, isFalse, isHiddenSlicing, isNull, isSelector, isSlicing, isTrue, isVoid, locationString, numberOfSubexpressions, otherTypes, parameters, setCheckedTypeLocked, setEnd, setExtent, setOtherTypes, setStart, setSubexpression, shiftOffsets, sort, subexpression, substitute, typeCheck, typeCheck, typeCheckLocked`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyLocal

          public DummyLocal(Parameter parameter)

  - ### Method Detail

    - #### setCheckedType

          public final void setCheckedType()

      Description copied from class: `Local`
      No-op...
      Overrides:
        `setCheckedType` in class `Local`

    - #### sanitizeNames

          public final Expression sanitizeNames(ParameterStack parameters)

      No-op...
      Overrides:
        `sanitizeNames` in class `Local`

    - #### sanitizeSorts

          public final void sanitizeSorts(Enclosure enclosure)

      No-op...
      Overrides:
        `sanitizeSorts` in class `Local`

    - #### shiftOffsets

          public final Expression shiftOffsets(int intShift,
                                int realShift,
                                int objectShift,
                                int intDepth,
                                int realDepth,
                                int objectDepth)

      No-op...
      Overrides:
        `shiftOffsets` in class `Local`

    - #### compile

          public final void compile(Compiler compiler)

      A DummyLocal never gets to invoke this.
      Overrides:
        `compile` in class `Local`